Get a product
curl --request GET \
--url https://app.papelship.com/api/v1/products/{id} \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>'const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-store-hash': '<api-key>'}
};
fetch('https://app.papelship.com/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/products/{id}"
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/products/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/products/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"product": {
"id": "AbC123xyz789",
"object": "product",
"hash_id": "AbC123xyz789",
"legacy_id": 4512,
"name": "Pro License",
"slug": "pro-license",
"type": "serial",
"product_kind": "single",
"status": "active",
"active": true,
"visibility": "public",
"price_cents": 1999,
"discount_percent": 0,
"currency": "USD",
"accepts_coupons": true,
"min_qty": 1,
"max_qty": 0,
"sell_limit": -1,
"requires_shipping": false,
"sku": "<string>",
"delivery_note": "<string>",
"best_seller": false,
"metadata": {},
"stock_alert_threshold": 123,
"sales_count": 12,
"categories": [
{
"id": 123,
"name": "<string>",
"icon": "<string>"
}
],
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z"
},
"details": {
"short_description": "<string>",
"description_html": "<string>",
"highlights": {},
"youtube_url": "<string>",
"delivered_message": "<string>"
},
"seo": {
"meta_title": "<string>",
"meta_description": "<string>",
"og_title": "<string>",
"og_description": "<string>",
"og_image_url": "<string>"
},
"methods": [
{
"method": "STRIPE",
"enabled": true
}
],
"media": [
{
"id": 123,
"kind": "image",
"url": "<string>",
"position": 123,
"is_main": true,
"meta": {},
"created_at": "2026-10-04T12:00:00.000Z"
}
],
"variants": [
{
"id": 881,
"object": "variant",
"product_id": "AbC123xyz789",
"name": "1 Month",
"slug": "1-month",
"delivery_type": "file",
"price_cents": 999,
"discount_percent": 0,
"compare_at_cents": 123,
"is_default": true,
"active": true,
"sort_order": 123,
"image_url": "<string>",
"stock_mode": "calculated",
"stock_quantity": 123,
"sku": "<string>",
"barcode": "<string>",
"weight_grams": 123,
"track_inventory": true,
"allow_backorder": true,
"low_stock_threshold": 123,
"option_values": [
"<string>"
],
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z"
}
]
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Products
Get a product
Product with details, SEO, payment methods, media and variants.
Permission: products:read
GET
/
products
/
{id}
Get a product
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Product hash ID (numeric ID also accepted).
Example:
"AbC123xyz789"